<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Avengers Mech Strike</Series>
  <Number>5</Number>
  <Web>https://www.comixology.com/Avengers-Mech-Strike-5-of-5/digital-comic/938052</Web>
  <Summary>ONE WAY OR ANOTHER, THIS IS THE END! The Avengers’ last, desperate plan lies in tatters in the face of Kang’s unbelievable power, but a surprise ally appears to give them a sliver of a chance! But Kang didn’t become the master of time itself by not having a few tricks up his sleeve, and, as they say, imitation is the sincerest form of flattery... Will the Avengers stop one of their oldest foes, or will ANNO KANG continue forevermore?</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB938052], [ASINB092JVWMYK], [RELDATE:2021-07-28]</Notes>
  <Publisher>Marvel</Publisher>
  <Genre>Superhero</Genre>
  <PageCount>23</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
